%define name NVIDIA_nvaudio
%define version 1.0
%define release 0275
Summary: NVIDIA nForce audio control panel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: nvpanel.tgz
License: commercial
Group: kernel/drivers
Prefix: %{_prefix}
ExcludeArch: sparc alpha
ExclusiveOS: linux
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# Don't strip object files
%define __spec_install_post /usr/lib/rpm/brp-compress

# disable building of debug packages
%define debug_package ${nil}

%description
This package contains the control panel for the nForce audio driver

%prep
echo "---- Copying Sources ----"
%setup -n nvpanel
%setup -T -D -b 0 -n nvpanel

%build
echo "---- Building Audio Control Panel ----"
make

%install
echo "---- Installing Audio Control Panel ----"
make INSTROOT="$RPM_BUILD_ROOT" install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
# Starting at $ROOT/RPM/BUILD/nforce
%attr(755, root, root) %{_usr}/bin/nvaudio

%changelog

# end of file
